<ion-header>
    <ion-navbar color="primary">
      <ion-title>Filters</ion-title>
    </ion-navbar>
  </ion-header>

  <ion-content>
    <ion-item>
        <ion-label>Sort Newest to Oldest</ion-label>
        <ion-toggle [(ngModel)]="filter.newest_to_oldest"></ion-toggle>
    </ion-item>    
    <ion-item>
        <ion-label>Show All Dates</ion-label>
        <ion-toggle (change)="showAllChanged()" [(ngModel)]="filter.show_all_dates"></ion-toggle>
    </ion-item>
    <ion-item>
        <ion-label>Date</ion-label>
        <ion-datetime displayFormat="MMM DD, YYYY" max="2050-01-01" [(ngModel)]="filter.collection_date" [disabled]="filter.show_all_dates"></ion-datetime>
    </ion-item>
    <ion-item *ngIf="isAdmin">
        <ion-label>Collector</ion-label>
        <ion-select [(ngModel)]="filter.collector">
            <ion-option>All</ion-option>
            <ion-option *ngFor="let collector of collectors" [value]="collector.id">{{collector.name}}</ion-option>
        </ion-select>
    </ion-item>
  </ion-content>